Developers
V1MeMood

Your private mood history and categorical summaries

GET
/v1/me/mood
AuthorizationBearer <token>

In: header

Query Parameters

days?number
Default7
timeZone?string
Length1 <= length <= 128
Default"Asia/Kuala_Lumpur"
cursor?string
Match^[A-Za-z0-9_-]+$
Lengthlength <= 512

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/me/mood"
{  "entries": [    {      "mood": "awful",      "factors": [        "work"      ],      "note": "string",      "effectiveAt": "2019-08-24T14:15:22Z",      "timeZone": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "version": 1,      "recordedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string",  "generatedAt": "2019-08-24T14:15:22Z",  "days": [    {      "date": "2019-08-24",      "mood": "awful"    }  ],  "checkIns": 0,  "mostOften": "awful",  "topFactor": "work"}